@import './typography.scss';
@import './button.scss';
@import './media-sizes.scss';

#section-form{
    padding-bottom: 75px;
    h2{
        text-align: center;
        margin-bottom: 0;
    }
    hr{
        margin-bottom: 45px;
    }
    .container-form{
        display: table;
        margin: auto;
        width: 100%;
        max-width: 910px;
        @media(max-width:$tablet){
            max-width: calc(100% - 30px);
        }
        form{
            .row{
                display: grid;
                grid-template-columns: 50% 50%;
                margin: 0 -15px 15px -15px;
                @media(max-width:$mobile){
                    grid-template-columns: 100%;
                }
                > div{
                    padding: 0 15px;
                    .input-group{
                        position: relative;
                        border: solid 1px #b5b5b5;
                        border-radius: 6px;
                        width: 100%;
                        height: 60px;
                        padding: 20px 25px 10px 25px;
                        label{
                            position: absolute;
                            top: 6px;
                            left: 26px;
                            @include font(light, 15px, #555);
                            opacity: 0;
                            &:focus{
                                outline: initial;
                            }
                        }
                        i{
                            position: absolute;
                            top: 50%;
                            left: 25px;
                            transform: translateY(-50%);
                            @include font(light, 20px, #555);
                            font-style: normal;
                        }
                        input[type="text"], input[type="email"], .select{
                            border: none;
                            width: 100%;
                            position: relative;
                            z-index: 2;
                            background: transparent;
                            border: none !important;
                            box-shadow: none !important;
                            @include font(light, 20px, #555);
                            &:focus, &:focus-visible{
                                border: none;
                                outline: initial;
                            }
                            &.select{
                                position: relative;
                                top: -10px;
                                height: 39px;    
                            }
                        }                        
                        &.active{
                            label{
                                animation-name: fadeIn;
                                animation-duration: 1s;
                                animation-fill-mode: forwards;
                            }
                            i{
                                animation-name: fadeOut;
                                animation-duration: 1s;
                                animation-fill-mode: forwards;
                            }
                        }
                    }
                    .error{
                        height: 21px;
                        p{
                            @include font(light, 15px, red);
                        }                        
                    }
                    .checkbox{
                        height: 60px;
                        input{
                            width: 25px;
                            height: 25px;
                            margin: auto 10px auto 0;
                        }
                        label{
                            @include font(light, 20px, #555);
                            margin: auto 0;
                            @media(max-width:$mobile){
                                width: calc(100% - 40px);
                            }
                        }
                    }
                }
                &.full-row{
                    grid-template-columns: 100%;
                    .input-group{
                        width: 100%;
                    }
                    .container-button{
                        display: table;
                        margin: auto;
                        button{
                            @include button(16px 38px, 19px);
                            border-radius: 5px;
                        }
                    }
                }
            }
        }
    }
}

@keyframes fadeOut{
    from{
        opacity: 1;
    }
    to{
        display: none;
        opacity: 0;
    }
}

@keyframes fadeIn{
    from{
        display: block;
        opacity: 0;
    }
    to{
        opacity: 1;
    }
}